// File: SampleDlg.h
//
// Description: Header file for SampleDlg.cpp

#if !defined(__SAMPLEDLG_H__)
#define __SAMPLEDLG_H__

#pragma once

// CSampleDlg class (dialog)
class CSampleDlg : public CDialog
{
public:
	// Standard constructor
	CSampleDlg(CWnd* pParent = NULL);

private:
	CString m_sInputIniFilePath;
	CString m_sClipboardFormat;
	int m_iTransferMode;
	int m_iMessageID;

	void FillInfo();

	// Dialog data
	enum { IDD = IDD_SAMPLE_DIALOG };
	CListBox m_ListBox;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	virtual BOOL OnInitDialog();

	// Message map functions
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnLbnDblclkListbox();
	afx_msg void OnBnClickedPrinterprefs();
	afx_msg void OnBnClickedService();
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(__SAMPLEDLG_H__)
